summaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
authorRyu, Han-seok <acoustic80@nate.com>2014-09-08 18:02:53 +0900
committerRyu, Han-seok <acoustic80@nate.com>2014-09-08 18:02:53 +0900
commit2092c06033d45e6451ea0b3992d271bb7918be19 (patch)
tree965a8c69ce644bdbcaa798617a200a84de713146 /build.sh
parentf0e40f921c461bbd474f842688f935daaad894a1 (diff)
downloadvdebug-2092c06033d45e6451ea0b3992d271bb7918be19.zip
first commit
Diffstat (limited to 'build.sh')
-rw-r--r--build.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/build.sh b/build.sh
new file mode 100644
index 0000000..7f369c4
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+${1?"Usage: $0 VERSION"}
+version=$1
+echo "Building vdebug version $version"
+echo
+echo " -> Running tests"
+if python vdebugtests.py
+then
+ echo " -> OK."
+ echo " -> Creating tar from working directory..."
+ if tar -cvzf vdebug-$version.tar.gz doc/Vdebug.txt plugin syntax tests HISTORY LICENCE README.md requirements.txt vdebugtests.py VERSION
+ then
+ echo " -> OK, created tar at vdebug-$version.tar.gz."
+ else
+ echo " -> ERROR: failed to build tar, exiting"
+ exit 1
+ fi
+else
+ echo " -> ERROR: tests failed, exiting"
+ exit 1
+fi